| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
cv::TrackerCSRT::Params Struct Reference

`#include <opencv2/tracking.hpp>`

Collaboration diagram for cv::TrackerCSRT::Params:

## Public Member Functions
| Params ()

## Public Attributes
int | admm_iterations
int | background_ratio
float | cheb_attenuation
float | filter_lr
float | gsl_sigma
int | histogram_bins
float | histogram_lr
float | hog_clip
float | hog_orientations
float | kaiser_alpha
int | num_hog_channels_used
int | number_of_scales
float | padding
float | psr_threshold
| we lost the target, if the psr is lower than this.
float | scale_lr
float | scale_model_max_area
float | scale_sigma_factor
float | scale_step
float | template_size
bool | use_channel_weights
bool | use_color_names
bool | use_gray
bool | use_hog
bool | use_rgb
bool | use_segmentation
float | weights_lr
std::string | window_function
| Window function: "hann", "cheb", "kaiser".

## Constructor & Destructor Documentation

## ◆ Params()

cv::TrackerCSRT::Params::Params | ( |  | ) |

## Member Data Documentation

## ◆ admm_iterations

int cv::TrackerCSRT::Params::admm_iterations

## ◆ background_ratio

int cv::TrackerCSRT::Params::background_ratio

## ◆ cheb_attenuation

float cv::TrackerCSRT::Params::cheb_attenuation

## ◆ filter_lr

float cv::TrackerCSRT::Params::filter_lr

## ◆ gsl_sigma

float cv::TrackerCSRT::Params::gsl_sigma

## ◆ histogram_bins

int cv::TrackerCSRT::Params::histogram_bins

## ◆ histogram_lr

float cv::TrackerCSRT::Params::histogram_lr

## ◆ hog_clip

float cv::TrackerCSRT::Params::hog_clip

## ◆ hog_orientations

float cv::TrackerCSRT::Params::hog_orientations

## ◆ kaiser_alpha

float cv::TrackerCSRT::Params::kaiser_alpha

## ◆ num_hog_channels_used

int cv::TrackerCSRT::Params::num_hog_channels_used

## ◆ number_of_scales

int cv::TrackerCSRT::Params::number_of_scales

## ◆ padding

float cv::TrackerCSRT::Params::padding

## ◆ psr_threshold

float cv::TrackerCSRT::Params::psr_threshold

we lost the target, if the psr is lower than this.

## ◆ scale_lr

float cv::TrackerCSRT::Params::scale_lr

## ◆ scale_model_max_area

float cv::TrackerCSRT::Params::scale_model_max_area

## ◆ scale_sigma_factor

float cv::TrackerCSRT::Params::scale_sigma_factor

## ◆ scale_step

float cv::TrackerCSRT::Params::scale_step

## ◆ template_size

float cv::TrackerCSRT::Params::template_size

## ◆ use_channel_weights

bool cv::TrackerCSRT::Params::use_channel_weights

## ◆ use_color_names

bool cv::TrackerCSRT::Params::use_color_names

## ◆ use_gray

bool cv::TrackerCSRT::Params::use_gray

## ◆ use_hog

bool cv::TrackerCSRT::Params::use_hog

## ◆ use_rgb

bool cv::TrackerCSRT::Params::use_rgb

## ◆ use_segmentation

bool cv::TrackerCSRT::Params::use_segmentation

## ◆ weights_lr

float cv::TrackerCSRT::Params::weights_lr

## ◆ window_function

std::string cv::TrackerCSRT::Params::window_function

Window function: "hann", "cheb", "kaiser".

The documentation for this struct was generated from the following file:

- opencv2/tracking.hpp